import gtk

class example_app:

    def __init__(self):

        window = gtk.Window()

        treestore = gtk.TreeStore(str)

        toprow = treestore.append(None, ["Click this top"])
        treestore.append(toprow, ["I'm option one"])
        treestore.append(toprow, ["I'm option two"])
        nexrow = treestore.append(None, ["I'm next"])
        treestore.append(nexrow, ["Item one"])
        treestore.append(nexrow, ["Item two"])
        treestore.append(nexrow, ["And there's three"])

        treeview = gtk.TreeView(treestore)

        textrenderer = gtk.CellRendererText()

        column = gtk.TreeViewColumn('I\'m a column', textrenderer, text=0)
        column.set_sort_column_id(1)
        treeview.append_column(column)
        
        treeview.show()

        window.add(treeview)
        window.show_all()
        window.connect("destroy", self.destroy)

        gtk.main()

    def destroy(self, widget, data=None):
        gtk.main_quit()

if __name__ == '__main__':
    example_app()
